Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.conn.scheme
Interface SchemeLayeredSocketFactory

All Superinterfaces:
  SchemeSocketFactory

All Known Implementing Classes:
  SSLSocketFactory

    public interface SchemeLayeredSocketFactory

extends SchemeSocketFactory

Extended `SchemeSocketFactory` interface for layered sockets such as SSL/TLS.

Since:
  4.2

Method Summary
`Socket` | `createLayeredSocket(Socket socket, String target, int port, HttpParams params)` Returns a socket connected to the given host that is layered over an existing socket.

Methods inherited from interface org.apache.http.conn.scheme.SchemeSocketFactory
`connectSocket, createSocket, isSecure`

Method Detail

### createLayeredSocket

    Socket createLayeredSocket(Socket socket,
                               String target,
                               int port,
                               HttpParams params)
                               throws IOException,
                                      UnknownHostException

  Returns a socket connected to the given host that is layered over an existing socket. Used primarily for creating secure sockets through proxies.

  Parameters:
    `socket` - the existing socket
    `target` - the name of the target host.
    `port` - the port to connect to on the target host
    `params` - HTTP parameters
  Returns:
    Socket a new socket
  Throws:
    `IOException` - if an I/O error occurs while creating the socket
    `UnknownHostException` - if the IP address of the host cannot be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.